@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root{
    --indicators-hover-color: #717171;
    --indicators-color: #bbb;
    --text-color: #2F3B52;
    --text-color2: #2F3B52;
    --text-color1: #ffffff;
    --base-color: #ffffff;
    --base-color2: #044395;
    --head-text-color: #044395;
    --background-color: #044395;
    --background-color1: #f5f5fa;
    --background-color2: #B62DC7;
    --background-color3: #333c4e;
    --background-color1-2: #eceae3;
    --Placeholder-color:#839ab8;
    --border-radius-1: 0.4rem;
    --border-base-color: #f5f5fa;
    --line-color: #e8e8e9;
}

.dark-mode-variables{
    --background-color1: #2d2d2d;
    --background-color1-2: #000000;
    --background-color: #ffffff;
    --text-color1: #044395;
    --text-color2: #e0e0e0;
    --head-text-color: #e0e0e0;
    --border-base-color: #424251;
    --line-color: #888888;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    height: 100vh;
    font-family: "Poppins", sans-serif;
    color: var(--background-color);
    background-color: var(--background-color1);
    overflow: auto;
    position: relative;
    scroll-behavior: auto;
}

.header {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    align-items: center;
    margin-top: 5px;
}

.home {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.outerNav {
    display: flex;
    align-items: center;
    width: 60%;
    justify-content: space-between;
}

.home .Home-logo {
    display: flex;
    position: relative;
    cursor: pointer;
    align-items: center;
    /* margin-left: 10px; */
}

.home-h2 {
    font-weight: 600;
    font-size: 1.4rem;
}

.color2 {
    color: var(--background-color);
    margin-right: -4px;
}

.color2b {
    color: var(--base-color) !important;
    margin-right: -4px;
}

.home .Home-logo img {
    flex: 1;
    width: 1.2rem;
    height: 2rem;
    object-fit: contain;
    margin-top: 2px;
    position: relative;
    left: 5px;
}

p {
    font-size: 12px;
    margin-left: 5px;
}

a {
    color: var(--background-color);
    text-decoration: none;
}

.hideBar {
    display: none;
}

.showBar {
    display: none;
}

.bars {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

.hamburger {
    display: none;
}

.options {
    position: relative;
    list-style: none;
}

.options li {
    display: inline-block;
    padding: 0px 20px;
}

.options li .special-OP {
    border-radius: 30px;
    background-color: var(--background-color);
    color: var(--text-color1) !important;
    padding: 8px 25px;
}

.options .lines {
    display: none;
}

.modeMail {
    display: flex;
    flex-direction: row;
    width: 15%;
    gap: 2rem;
    justify-content: flex-end;
}

.outerNav .dark-mode{
    display: flex;
    align-items: center;
    cursor: pointer;
}

.outerNav .dark-mode span{
    transition: opacity 0.3s ease;
}

.outerNav .dark-mode span.active{
    display: inline;
    background: none;
    color: var(--text-color2);
}

.outerNav .dark-mode span:not(.active) {
    display: none;
}

.outerNav .dark-mode p {
    display: none;
}

.box {
    position: relative;
    height: 30px;
    display: flex;
    padding: 18px 10px;
    border-radius: 30px;
    background: var(--background-color);
    align-items: center;
    max-width: 300px;
    color: var(--text-color1);
    transition: 0.6s;
    cursor: pointer;
}

.box .get-in-touch {
    color: var(--text-color1);
    opacity: 0;
    outline: none;
    border: none;
    margin-left: 5px;
    font-weight: 500;
    background: transparent;
    display: inline-flex;
    overflow: hidden;
    max-width: 0;
    transition: max-width 0.6s ease, opacity 0.6s ease;
    white-space: nowrap;
}

.box:hover .get-in-touch {
    max-width: 100px;
    opacity: 1;
}

.navIcons {
    display: none;
}

/* SLIDER */
.second {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    margin-top: 5px;
}

.carousel {
    position: relative;
    width: 90%;
    margin: auto;
    overflow: hidden;
}

.carousel-container {
    display: flex;
    width: auto;
}

.carousel-slide {
    width: 100%;
    display: none;
    align-items: center;
    justify-content: space-between;
    color: var(--base-color);
    border-radius: 80px;
    flex-shrink: 0;
}

.carousel-slide.active {
    display: flex;
}

.carousel-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 75px 30px;
}

.carousel-text {
    width: 50%;
    padding-right: 20px;
    font-size: 45px;
    margin-left: 45px;
}

.carousel-text h1 {
    margin-bottom: 15px;
}

.carousel-text p {
    font-size: 15px;
    line-height: 25px;
}

.carousel-image img {
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
}

.carousel-indicators {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.indicator {
    height: 6px;
    width: 65px;
    margin: 0 5px;
    border-radius: 5px;
    background-color: var(--indicators-color);
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.indicator:hover {
    background-color: var(--indicators-hover-color);
}

/*.active {*/
/*    background-color: var(--background-color);*/
/*}*/

.indicator.active {
    background-color: var(--background-color);
}

/* STOP */

.thirds {
    display: block;
    margin-top: 60px;
}

.thirds .text {
    display: block;
    margin-left: 150px;
    color: var(--text-color2);
}

.thirds .text h1 {
    font-size: 70px;
    margin-bottom: 15px;
}

.thirds .text p {
    font-size: 15px;
    margin-bottom: 40px;
}

.card-container {
    width: 100%;
}

.card {
    border-radius: 100px 100px 0 0;
    padding: 30px;
    height: 38vh;
    max-height: 50vh;
    color: white;
    position: relative;
    margin-bottom: -105px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.slide-in {
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.8s ease-out;
}

.slide-in.show {
    opacity: 1;
    transform: translateY(0);
}

.card:nth-child(1) {
    background-color: var(--background-color2);
}

.card:nth-child(2) {
    background-color: var(--base-color2);
}

.card:nth-child(3) {
    background-color: var(--background-color3);
}

.card h1 {
    font-size: 40px;
    margin: 5px 0 10px 120px;
    font-weight: 300;
    line-height: 50px;
}

.card p {
    font-size: 20px;
    font-weight: 300;
    margin-left: 120px;
    line-height: 25px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s ease;
}

.card.show-text p {
    opacity: 1;
    transform: translateY(0);
}

.card button {
    cursor: pointer;
    border: none;
}

.icon {
    position: absolute;
    right: 65px;
    top: 65px;
    background-color: var(--base-color);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1em;
    cursor: pointer;
    transition: transform 0.6s ease;
}

.icon-11 {
    color: var(--background-color2);
}

.icon-12 {
    color: var(--base-color2);
}

.icon-13 {
    color: var(--background-color3);
}

.icon.rotate {
    transform: rotate(-180deg);
}

/* END OF THIRDS */

/* START OF FOUTH */
.fourth {
    display: block;
    margin-top: 60px;
}

.card-4 {
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-radius: 100px 100px 0 0;
    padding: 30px;
    background-color: white;
    position: relative;
    margin-top: -155px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.card-4 .text {
    display: block;
    margin-left: -20px;
    margin-top: 60px;
    color: var(--text-color);
}

.card-4 .text h1 {
    font-size: 70px;
    margin-bottom: 15px;
}

.card-4 .text p {
    font-size: 20px;
    margin-bottom: 40px;
}

.card-4 .text .about-intro {
    display: none;
}

.card-4 .photo-4 img {
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
}

/* FOUTH ENDS HERE */

/* FIFTH STARTS HERE */
.fifth {
    display: block;
    margin-top: 60px;
}

.card-5 {
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-radius: 100px 100px 0 0;
    padding: 30px;
    background-color: var(--base-color2);
    position: relative;
    margin-top: -10px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.left, .right {
    margin-bottom: 60px;
}

.card-5 .text {
    display: block;
    margin-left: -20px;
    margin-top: 60px;
    color: var(--base-color);
}

.card-5 .text h1 {
    font-size: 65px;
    margin-bottom: 15px;
}

.card-5 .text p {
    font-size: 15px;
    margin: 40px 0 40px 0;
}

.card-5 .photo-5 img {
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
}

.inputs {
    margin-top: 1rem;
    margin-left: -20px;
}

.enteries {
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
}

input {
    border: none;
    border-bottom: 1px solid var(--base-color);
    padding: 0 0 6px 0;
    color: var(--base-color);
    width: 45%;
    margin: 6px 0 6px 0;
    background: none;
}

input:focus {
    outline: 2px solid var(--base-color2);
}

input::placeholder {
    color: var(--Placeholder-color);
}

.btn {
    border: none;
    background: var(--base-color);
    color: var(--base-color2);
    width: 100%;
    overflow: hidden;
    border-radius: 40px;
    padding: 15px;
    font-size: 18px;
    cursor: pointer;
}

.btn:hover {
    text-decoration: none;
    color: var(--text-color1);
    background: var(--background-color);
    border: 1px solid var(--text-color1);
}

footer {
    display: flex;
    justify-content: space-between;
    position: absolute;
    background-color: var(--base-color);
    color: var(--background-color3);
    width: 100%;
    padding: 12px;
    align-items: center;
}

.foot {
    margin-left: 135px;
}

footer a img {
    max-width: 35px;  
    height: auto;
    object-fit: contain; 
    margin: 0 10px;
}

.second-text {
    display: none !important;
}

@media screen and (max-width: 1200px) {
    .outerNav {
        /* width: 85%; */
        font-size: 14px;
    }

    .home-h2 {
        font-size: 1.2rem;
    }

    .options li {
        padding: 0 15px;
    }

    .modeMail {
        gap: 0.5rem;
    }

    .outerNav .dark-mode {
        margin-right: 15px;
    }

    .box {
        max-width: 250px;
        padding: 15px 8px;
    }

    .carousel-content {
        padding: 50px 20px;
        gap: 2rem;
    }

    .carousel-image img {
        width: 80%;
    }

    .carousel-text {
        display: flex;
        font-size: 35px;
        flex-direction: column;
    }

    .carousel-text h1 {
        flex-shrink: 1;
    }

    .second-text {
        display: none;
    }

    .thirds {
        margin-top: 0px;
    }

    .thirds .text h1 {
        font-size: 50px;
    }

    .thirds .text p {
        font-size: 14px;
    }

    .card h1 {
        font-size: 30px;
        margin: 0px 0 0px 120px;
        line-height: 40px;
    }

    .card p {
        font-size: 16px;
        margin-left: 120px;
    }

    .card-4 {
        gap: 2rem;
    }

    .card-4 .text {
        margin-left: 90px;
    }

    .card-4 .photo-4 img {
        width: 80%;
    }

    .card-4 .text h1,
    .card-5 .text h1 {
        font-size: 50px;
    }

    .card-4 .text p,
    .card-5 .text p {
        font-size: 17px;
    }

    .card-4 .text .about-intro {
        display: none;
    }

    .icon {
        right: 65px;
        top: 35px;
        background-color: var(--base-color);
        width: 45px;
        height: 45px;
    }

    .card-5 {
        gap: 2rem;
    }

    .left, .right {
        margin-bottom: 25px;
    }

    .card-5 .text {
        margin-left: 90px;
    }

    .card-5 .photo-5 img {
        width: 80%;
    }

    .inputs {
        margin-left: 90px;
    }

    .enteries input {
        width: 45%;
    }
}

@media screen and (max-width: 768px) {
    .header {
        display: flex;
        flex-direction: row;
        align-items: center;
        position: fixed;
        z-index: 1;
        background: var(--background-color1);
        width: 100%;
        margin: 0;
        top: 0;
    }

    .hero-badge {
        margin-top: 40px;
    }

    .home-h2 {
        font-size: 1.3rem;
        margin-left: -5px;
    }

    .color2 {
        color: var(--head-text-color);
    }

    .menus {
        /* order: 1; */
        margin-left: 15px;
    }

    .header .menus .showBar {
        display: block;
        position: absolute;
        top: 18px;
        right: 10px;
    }

    .bars {
        display: block;
        position: absolute;
        top: 2px;
        right: 0;
        color: var(--head-text-color);
        margin-right: 10px;
    }

    .header .menus .hideBar.activate {
        display: inline;
        position: absolute;
        top: 18px;
        right: 0;
    }

    /* .hamburger {
        position: absolute;
        top: 20px;
        right: 0;
        color: var(--head-text-color);
        margin-right: 25px;
        font-size: 25px;
    }
    
    .hamburger.activate {
        display: inline;
    }
    
    .hamburger:not(.activate) {
        display: none;
    } */

    .outerNav {
        max-height: 0;
        overflow: hidden;
        flex-direction: column;
        position: absolute;
        top: 60px;
        right: 0;
        background-color: var(--background-color1);
        width: 100%;
        padding: 0 20px;
        border-bottom: 5px solid var(--border-base-color);
        transition: max-height 0.5s ease, opacity 0.3s ease;
        opacity: 0;
    }
    
    .outerNav.activity {
        max-height: 500px;
        opacity: 1;
        gap: 1.8rem;
        align-items: flex-start;
        font-size: 16px;
    }

    .navBar {
        width: 100%;
    }

    .options {
        display: flex;
        flex-direction: column;
        padding: 0;
    }

    .options li {
        padding: 5px 0;
        margin: 10px 0;
    }

    .options .lines {
        display: inline;
        border: 1px solid var(--line-color);
        width: 100%;
        margin: 0;
    }
    
    .options li .special-OP {
        display: block;
        width: 100%;
        text-align: center;
    }

    .modeMail {
        width: 100%;
        justify-content: center;
        gap: 1rem;
    }

    .outerNav .dark-mode {
        padding: 0px 12px;
        border-radius: 30px;
        background: none;
        border: 1px solid var(--background-color);
        align-items: center;
        box-shadow: none;
        margin: 0;
        font-size: 14px;
        color: var(--background-color);
    }

    .outerNav .dark-mode span.active {
        font-size: 18px;
    }

    .outerNav .dark-mode p {
        display: inline-block;
        font-size: 14px;
        font-weight: 500;
    }

    .box {
        position: relative;
        display: flex;
        padding: 15px 8px;
        border-radius: 30px;
        background: none;
        border: 1px solid var(--background-color);
        align-items: center;
        box-shadow: none;
        max-width: 135px;
        font-size: 14px;
        color: var(--background-color);
        /* margin-top: 15px; */
    }
    
    .box .get-in-touch {
        color: var(--background-color);
        opacity: 1;
        max-width: 100%;
    }

    .navIcons {
        display: flex;
        width: 100%;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        margin: 70px 0 10px 0;
        font-size: 10px;
        color: #9f9c9c;
    }

    .navIcons a img {
        max-width: 25px;
        height: auto;
        object-fit: contain;
        margin: 0 5px;
    }

    .second {
        margin-top: 80px;
    }

    .carousel {
        width: 98%;
    }

    .carousel-slide {
        border-radius: 25px;
    }

    .carousel-content {
        display: flex;
        flex-direction: column;
        padding: 40px 15px;
    }

    .carousel-text {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        text-align: center;
        font-size: 30px;
        padding: 0;
        margin: 0 auto;
    }

    .second-text {
        display: block !important;
    }

    .carousel-text h1 {
        flex-shrink: 1;
        font-size: 35px;
    }

    .carousel-image {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .carousel-image img {
        width: 98%;
    }

    .fist-p {
        display: none;
    }

    .carousel-text p {
        margin: 0;
    }

    .thirds .text {
        margin: 0px;
        text-align: center;
    }

    .thirds .text h1 {
        font-size: 40px;
        padding-top: 65px;
    }

    .thirds .text p {
        font-size: 13px;
    }

    .card {
        border-radius: 40px 40px 0 0;
        margin-bottom: -135px;
    }

    .icon {
        right: 25px;
        top: 30px;
        width: 40px;
        height: 40px;
    }

    .card h1 {
        font-size: 22px;
        margin: 0px;
    }

    .card p {
        font-size: 14px;
        margin: 15px 0 0 0;
    }

    .card-4, .card-5 {
        flex-direction: column;
        align-items: center;
        border-radius: 40px 40px 0 0;
        padding: 20px;
    }

    .card-4 .text {
        text-align: center;
        margin: 0;
    }

    .card-5 .text {
        text-align: center;
        margin: 0;
        padding-top: 20px;
    }

    .card-4 .text h1 {
        font-size: 40px;
        margin-top: 50px;
    }

    .card-5 .text h1 {
        font-size: 35px;
        margin-top: 30px;
    }

    .card-4 .text .about-intro {
        display: block;
        margin: 0;
    }

    .card-4 .text p,
    .card-5 .text p {
        font-size: 15px;
    }

    .card-4 .photo-4 {
        display: flex;
        justify-content: center;
    }

    .card-4 .photo-4 img {
        width: 98%;
    }

    .card-5 .photo-5 {
        display: none;
    }

    .fifth {
        margin-top: 25px;
    }

    .inputs {
        margin: 0;
    }

    .enteries {
        display: flex;
        margin-bottom: 0px;
        flex-direction: column;
    }

    input {
        width: 100% !important;
        margin-bottom: 35px;
    }

    footer {
        flex-direction: row;
        align-items: center;
        text-align: center;
    }

    .foot {
        margin: 0;
    }

    footer a img {
        margin: 5px;
    } 
}